This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 441553 - SELinux prevents new kernel installations
SELinux prevents new kernel installations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-08 14:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 14:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-08 14:14:29 EDT
Description of problem:

type=AVC msg=audit(1207677424.368:124): avc:  denied  { read } for  pid=21008
comm="depmod" name="System.map-2.6.25-0.212.rc8.git6.fc9.x86_64" dev=sda1 ino=19
scontext=root:system_r:depmod_t:s0-s0:c0.c1023
tcontext=system_u:object_r:boot_t:s0 tclass=file

Prevents writing of modules.dep, which makes mkinitrd very unhappy.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-29.fc9.noarch
Comment 1 Daniel Walsh 2008-04-08 14:28:33 EDT

Fixed in selinux-policy-3.3.1-30.fc9
Comment 2 Jesse Keating 2008-04-08 15:06:03 EDT
And tagged for f9-final.
Comment 3 Jesse Keating 2008-04-08 15:06:20 EDT
Whoops, not built yet.
Comment 4 Daniel Walsh 2008-04-08 15:17:32 EDT
Building now

Note You need to log in before you can comment on or make changes to this bug.